{% extends "baseLayout.html" %}
{% load static %}

{% block body %}
{% include "includes/sidebar-left.html" %}
<div class="bg-light content">
  <div class="page-header m-5">
    <h1>Best Movies</h1>
  </div>
  <div class="filters">
    <h3>Filters</h3>
    <form method="get" class="form-inline">
      <div class="form-group">
        <label for="name">Name</label>
        <input class="form-control mx-sm-3" type="text" name="name" value="{{searchTerm|default_if_none:""}}" />

        <input class="btn btn-primary" type="submit" value="Submit">
      </div>
    </form>
    {% if searchTerm != None and searchTerm != "" %}
    <form class="form-inline m-3" action="/main/film/">
      <input class="btn btn-secondary" type="submit" value="Clear">
    </form>
    {% endif %}
    {% if searchMsg != "" %}
    <div class="alert alert-warning m-3" role="alert">
      {{ searchMsg }}
    </div>
    {% endif %}
  </div>
  {% include "includes/pagination.html" %}
  <table class="table table-hover table-sm table-borderless">
    <thead class="thead-dark">
      <tr>
        <th scope="col"></th>
        <th scope="col">Name</th>
        <th scope="col">Director</th>
        <th scope="col">Release date</th>
        <th scope="col">Rating</th>
        <th scope="col">Country</th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
      {% for obj in objects %}
      <tr>
        <td><img class="img-sml-thumbnail" src="{{obj.pathImg}}" alt="{{obj.title}}"/></td>
        <td class="align-middle">{{obj.name}}</td>
        <td class="align-middle">{{obj.director}}</td>
        <td class="align-middle">{{obj.releaseDate}}</td>
        <td class="align-middle">{{ obj.rating|stringformat:"d" }}%</td>
        <td class="align-middle">{{ obj.country.libelle }}</td>
        <td class="align-middle"><a href="/main/film/details/{{obj.id}}"><h3><span class="oi oi-eye"></span></h3></td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% include "includes/pagination.html" %}
  </div>
  {% include "includes/sidebar-right.html" %}
  {% endblock %}
